Functions and types to provide launching files/applications.

## Typedefs

typedef struct UbuntuApplicationUrlDispatcherSession | UAUrlDispatcherSession
| Opaque type encapsulating a session with the url dispatcher service. More...
typedef void(* | UAUrlDispatcherSessionDispatchHandler) (UStatus status, const char *url, void *context)
| Callback type that is invoked for open results. More...

## Functions

UBUNTU_DLL_PUBLIC void | ua_url_dispatcher_session_open (UAUrlDispatcherSession *session, const char *url, UAUrlDispatcherSessionDispatchHandler handler, void *context)
| Tells the url dispatcher to open the given url. More...

## Detailed Description

Applications in Ubuntu can not launch other applications directly. They have to use the url_dispatcher service to open other applications or to open applications that handle a given url.

## Typedef Documentation

typedef struct UbuntuApplicationUrlDispatcherSession UAUrlDispatcherSession

Opaque type encapsulating a session with the url dispatcher service.

Definition at line 33 of file session.h.

typedef void(* UAUrlDispatcherSessionDispatchHandler) (UStatus status, const char *url, void *context)

Callback type that is invoked for open results.

Parameters

  [out] | status | U_STATUS_SUCCESS if the dispatching was successful.
  [out] | url | The url passed to the ua_url_dispatcher_session_dispatch call.
  [out] | context | The url context passed to the ua_url_dispatcher_session_dispatch call.

Definition at line 43 of file session.h.

## Function Documentation

UBUNTU_DLL_PUBLIC void ua_url_dispatcher_session_open | ( | UAUrlDispatcherSession * | session,
|  | const char * | url,
|  | UAUrlDispatcherSessionDispatchHandler | handler,
|  | void * | context
| ) |  |

Tells the url dispatcher to open the given url.

Parameters

  [in] | session | The session instance.
  [in] | url | The url to open.
  [in] | handler | The url dispatcher open handler.
  [in] | context | Your context, will be returned to you as is in the handler callback.